#version 130
precision mediump float;

uniform mat4 perspective;
uniform mat4 view;
uniform mat4 model;

// VERTEX
in vec4 vertex;
in vec3 normal;

// OUTPUT
out vec4 frag_color;

void main() {
	gl_Position = perspective * view * model * vertex;
	frag_color = vec4(gl_Position.z, 0.0, 0.0, 0.0);
}
